Index: LMDZ6/branches/Ocean_skin/makelmdz_fcm
===================================================================
--- LMDZ6/branches/Ocean_skin/makelmdz_fcm	(revision 3812)
+++ LMDZ6/branches/Ocean_skin/makelmdz_fcm	(revision 4013)
@@ -23,12 +23,12 @@
 couple=false
 veget=false
-sisvat=false
 inlandsis=false
 rrtm=false
+rad="old"
 dust=false
 strataer=false
 chimie=false
 parallel=none
-paramem="par"
+paramem="mem"
 compil_mod=prod
 io=ioipsl
@@ -40,4 +40,8 @@
 full=''
 libphy=false
+isotopes=false
+isoverif=false
+diagiso=false
+isotrac=false
 
 arch_defined="FALSE"
@@ -54,8 +58,8 @@
 DYN_PHYS_SUB_PATH=$LMDGCM/.void_dir
 PHY_COMMON_PATH=$LMDGCM/.void_dir
-RRTM_PATH=$LMDGCM/.void_dir
+RAD_PATH=$LMDGCM/.void_dir
+INLANDSIS_PATH=$LMDGCM/.void_dir
 DUST_PATH=$LMDGCM/.void_dir
 STRATAER_PATH=$LMDGCM/.void_dir
-SISVAT_PATH=$LMDGCM/.void_dir
 COSP_PATH=$LMDGCM/.void_dir
 fcm_path=$LMDGCM/tools/fcm/bin
@@ -99,9 +103,13 @@
 [-cosp2 true/false]    : compile with/without cosp2 package (default: false)
 [-cospv2 true/false]    : compile with/without cospv2 package (default: false)
-[-sisvat true/false]  : compile with/without sisvat package (default: false)
 [-inlandsis true/false]  : compile with/without inlandsis package (default: false)
 [-rrtm true/false]    : compile with/without rrtm package (default: false)
+[-rad old/rrtm/ecrad]    : compile with old/rrtm/ecrad radiatif code (default: old)
 [-dust true/false]    : compile with/without the dust package by Boucher and co (default: false)
 [-strataer true/false]    : compile with/without the strat aer package by Boucher and co (default: false)
+[-isotopes true/false]    : compile with/without water isotopes in the physics
+[-isoverif true/false]    : compile with/without verifications for water isotopes in the physics
+[-diagiso true/false]    : compile with/without special diagnostics for water isotopes in the physics
+[-isotrac true/false]    : compile with/without tracers of water isotopes in the physics
 [-parallel none/mpi/omp/mpi_omp] : parallelism (default: none) : mpi, openmp or mixted mpi_openmp
 [-g GRI]                   : grid configuration in dyn3d/GRI_xy.h  (default: reg, inclues a zoom)
@@ -110,5 +118,5 @@
 [-cpp CPP_KEY]             : additional preprocessing definitions
 [-adjnt]                   : adjoint model, not operational ...
-[-mem]                     : reduced memory dynamics (if in parallel mode)
+[-mem]                     : reduced memory dynamics (obsolete flag; always on in parallel mode)
 [-filtre NOMFILTRE]        : use filtre from libf/NOMFILTRE (default: filtrez)
 [-link LINKS]              : additional links with other libraries
@@ -151,12 +159,12 @@
 	  veget="$2" ; shift ; shift ;;
 
-      "-sisvat")
-	  sisvat="$2" ; shift ; shift ;;
-
       "-inlandsis")
-    inlandsis="$2" ; shift ; shift ;;
+          inlandsis="$2" ; shift ; shift ;;
 
       "-rrtm")
-	  rrtm="$2" ; shift ; shift ;;
+          rrtm="$2" ; if [ "$2" = "false" ] ; then rad="old" ; else rad="rrtm" ; fi ; shift ; shift ;;
+
+      "-rad")
+          rad="$2" ; shift ; shift ;;
 
       "-dust")
@@ -168,4 +176,16 @@
       "-chimie")
 	  chimie="$2" ; shift ; shift ;;
+
+      "-isotopes")
+	  isotopes="$2" ; shift ; shift ;;
+
+      "-isoverif")
+	  isoverif="$2" ; shift ; shift ;;
+
+      "-diagiso")
+	  diagiso="$2" ; shift ; shift ;;
+
+      "-isotrac")
+	  isotrac="$2" ; shift ; shift ;;
 
       "-parallel")
@@ -193,4 +213,5 @@
       
       "-mem")
+          echo "option -mem is obsolete (now always on in parallel)"
           paramem="mem" ; shift ;;
 
@@ -312,5 +333,4 @@
 if [[ "${physique:0:5}" == "venus" ]] ; then phys_root=venus ; fi
 if [[ "${physique:0:5}" == "titan" ]] ; then phys_root=titan ; fi
-if [[ "${physique:0:3}" == "mar" ]] ; then phys_root=mar ; fi
 if [[ "${physique:0:3}" == "dev" ]] ; then phys_root=dev ; fi
 
@@ -341,4 +361,24 @@
    INCLUDE="$INCLUDE -I${INCA_INCDIR}"
    LIB="$LIB -L${INCA_LIBDIR} -lchimie"
+fi
+
+if [[ "$isotopes" == "true" ]]
+then
+   CPP_KEY="$CPP_KEY ISO"
+fi
+
+if [[ "$isoverif" == "true" ]]
+then
+   CPP_KEY="$CPP_KEY ISOVERIF"
+fi
+
+if [[ "$diagiso" == "true" ]]
+then
+   CPP_KEY="$CPP_KEY DIAGISO"
+fi
+
+if [[ "$isotrac" == "true" ]]
+then
+   CPP_KEY="$CPP_KEY ISOTRAC"
 fi
 
@@ -414,10 +454,4 @@
 fi
 
-if [[ "$sisvat" == "true" ]]
-then
-   CPP_KEY="$CPP_KEY CPP_SISVAT"
-   SISVAT_PATH="$LIBFGCM/%PHYS/sisvat"
-fi
-
 if [[ "$inlandsis" == "true" ]]
 then
@@ -427,8 +461,13 @@
 
 
-if [[ "$rrtm" == "true" ]]
+if [[ "$rad" == "rrtm" ]]
 then
    CPP_KEY="$CPP_KEY CPP_RRTM"
-   RRTM_PATH="$LIBFGCM/%PHYS/rrtm"
+   RAD_PATH="$LIBFGCM/%PHYS/rrtm"
+fi
+if [[ "$rad" == "ecrad" ]]
+then
+   CPP_KEY="$CPP_KEY CPP_ECRAD"
+   RAD_PATH="$LIBFGCM/%PHYS/ecrad"
 fi
 
@@ -658,4 +697,21 @@
 fi
 
+if [[ "$isotopes" == "true" ]]
+then
+  SUFF_NAME=${SUFF_NAME}_iso
+fi
+if [[ "$isoverif" == "true" ]]
+then
+  SUFF_NAME=${SUFF_NAME}_isoverif
+fi
+if [[ "$isotrac" == "true" ]]
+then
+  SUFF_NAME=${SUFF_NAME}_isotrac
+fi
+if [[ "$diagiso" == "true" ]]
+then
+  SUFF_NAME=${SUFF_NAME}_diagiso
+fi
+
 if [[ $libphy == "true" ]]
 then
@@ -694,8 +750,7 @@
 echo "%DYN_PHYS      $DYN_PHYS_PATH" >> $config_fcm
 echo "%DYN_PHYS_SUB  $DYN_PHYS_SUB_PATH" >> $config_fcm
-echo "%RRTM          $RRTM_PATH"     >> $config_fcm
+echo "%RAD           $RAD_PATH"     >> $config_fcm
 echo "%DUST          $DUST_PATH"     >> $config_fcm
 echo "%STRATAER      $STRATAER_PATH" >> $config_fcm
-echo "%SISVAT        $SISVAT_PATH"   >> $config_fcm
 echo "%INLANDSIS     $INLANDSIS_PATH" >> $config_fcm
 echo "%COSP          $COSP_PATH"     >> $config_fcm
